Subject: [alpine-devel] new aport libjpeg

From: "Carlo Landmeter" <[email-masked]>
Date: Fri, 30 Jan 2009 10:44:24 +0000

see attached git patch.

Carlo

From fe137e9b04428891fe7e3ad2a28c823c735eb6cd Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Fri, 30 Jan 2009 10:43:31 +0000
Subject: [PATCH] extra/libjpeg: new aport

---
 extra/libjpeg/APKBUILD |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)
 create mode 100644 extra/libjpeg/APKBUILD

diff --git a/extra/libjpeg/APKBUILD b/extra/libjpeg/APKBUILD
new file mode 100644
index 0000000..8a4374b
--- /dev/null
+++ b/extra/libjpeg/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Carlo Landmeter <clandmeter at gmail>
+# Maintainer: Carlo Landmeter <clandmeter at gmail>
+pkgname=libjpeg
+pkgver=6b
+pkgrel=0
+pkgdesc="Library of JPEG support functions"
+url="http://www.ijg.org/"
+license="custom"
+depends=""
+makedepends=""
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v${pkgver}.tar.gz"
+
+build() {
+	cd "$srcdir/jpeg-$pkgver"
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+	for i in bin lib include share/man/man1; do
+		mkdir -p "$pkgdir"/usr/"$i"
+	done
+	make prefix="$pkgdir"/usr mandir="$pkgdir"/usr/share/man/man1 install
+}
+
+md5sums="dbd5f3b47ed13132f04c685d608a7547  jpegsrc.v6b.tar.gz"
-- 
1.6.1

---

From: Natanael Copa <[email-masked]>
Date: Fri, 30 Jan 2009 13:23:33 +0100

> Carlo

committed

thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---